Get Payout
curl --request GET \
--url https://secureapi.tender.cash/v1/api/payout/{id} \
--header 'authorization: <api-key>' \
--header 'x-access-id: <x-access-id>' \
--header 'x-request-id: <x-request-id>' \
--header 'x-timestamp: <x-timestamp>'const options = {
method: 'GET',
headers: {
authorization: '<api-key>',
'x-timestamp': '<x-timestamp>',
'x-request-id': '<x-request-id>',
'x-access-id': '<x-access-id>'
}
};
fetch('https://secureapi.tender.cash/v1/api/payout/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/payout/{id}"
headers = {
"authorization": "<api-key>",
"x-timestamp": "<x-timestamp>",
"x-request-id": "<x-request-id>",
"x-access-id": "<x-access-id>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/payout/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-access-id: <x-access-id>",
"x-request-id: <x-request-id>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "success",
"data": {
"_id": "66aec7de809b7f45c42a49f9",
"merchantId": "6538e8f9bdec6d1a21978a64",
"type": "crypto",
"status": "completed",
"amount": "50",
"coin": "usdt",
"chain": "tron",
"address": "TQn9Y2khDD9JHTfVE5oB2h8BKWWM4LxKLT",
"fee": "0.5",
"feeUSD": "0.50",
"txHash": "0xabc123def456...",
"createdAt": "2024-09-24T22:20:15.650Z",
"updatedAt": "2024-09-24T22:25:00.000Z"
}
}Payouts
Get Payout
Retrieve a single payout record by ID
GET
/
v1
/
api
/
payout
/
{id}
Get Payout
Auth method: Signed (HMAC) — this endpoint requires the full set of signed
headers:
x-access-id, x-request-id, x-timestamp, and an HMAC-SHA256
authorization signature. See Authentication.Headers
string
required
Your API access ID provided by TenderExample:
"your-access-id-here"Path Parameters
string
required
The unique payout IDExample:
"66aec7de809b7f45c42a49f9"Response
string
required
Example:
"success"string
required
Example:
"success"object
required
The payout record
Show data properties
Show data properties
string
Example:
"66aec7de809b7f45c42a49f9"string
Example:
"6538e8f9bdec6d1a21978a64"string
Example:
"crypto"string
Example:
"completed"string
Example:
"50"string
Example:
"usdt"string
Example:
"tron"string
Example:
"TQn9Y2khDD9JHTfVE5oB2h8BKWWM4LxKLT"string
Example:
"0.5"string
Example:
"0.50"string
Example:
"0xabc123..."string
Example:
"2024-09-24T22:20:15.650Z"string
Example:
"2024-09-24T22:25:00.000Z"Authorizations
Signed (HMAC) authentication. Required headers: x-access-id, x-request-id (UUID v4), x-timestamp (ISO 8601), and authorization (Base64 HMAC-SHA256 signature of {timeStamp, requestId, accessId} using your access secret).